import request from '@/utils/request'

// 查询CUI问题整改跟踪清单列表
export function listProblems(query) {
  return request({
    url: '/cui/problems/list',
    method: 'get',
    params: query
  })
}
// 是否完成统计
export function statusData(query) {
  return request({
    url: '/cui/problems/statusData',
    method: 'get',
    params: query
  })
}
// 查询CUI问题整改跟踪清单详细
export function getProblems(id) {
  return request({
    url: '/cui/problems/' + id,
    method: 'get'
  })
}

// 新增CUI问题整改跟踪清单
export function addProblems(data) {
  return request({
    url: '/cui/problems',
    method: 'post',
    data: data
  })
}

// 修改CUI问题整改跟踪清单
export function updateProblems(data) {
  return request({
    url: '/cui/problems',
    method: 'put',
    data: data
  })
}

// 删除CUI问题整改跟踪清单
export function delProblems(id) {
  return request({
    url: '/cui/problems/' + id,
    method: 'delete'
  })
}

// 导出CUI问题整改跟踪清单
export function exportProblems(query) {
  return request({
    url: '/cui/problems/export',
    method: 'get',
    params: query
  })
}
